"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
test("NewMapData type validation", async () => {
    const comm = {
        "name": "main",
        "in": "main",
        "x": 526,
        "y": 2026,
        "direction": 0,
        "effect": 0,
        "info": {},
        "m": 0,
        "entities": {
            "players": [
                { "hp": 5944, "max_hp": 6016, "mp": 2966, "max_mp": 3200, "xp": 36419171, "attack": 1142, "frequency": 0.9050170586527293, "speed": 53, "range": 201, "armor": 189, "resistance": 424, "level": 65, "party": "Mekhet", "rip": false, "code": true, "afk": "code", "target": "4564933", "focus": null, "s": { "mluck": { "ms": 3427599, "f": "Mekhet", "strong": true }, "monsterhunt": { "c": 1, "dl": true, "id": "plantoid", "ms": 860159, "sn": "US III" } }, "c": {}, "q": {}, "age": 57, "pdps": 67766.93903634432, "id": "Arikel", "x": 526, "y": 1906, "moving": false, "going_x": 526, "going_y": 1906, "abs": false, "move_num": 24016900, "angle": 15.606745874312205, "cid": 1114, "controller": "Mekhet", "skin": "mbody5e", "cx": { "head": "fmakeup01" }, "slots": { "ring1": { "name": "ringsj", "level": 3 }, "ring2": { "level": 3, "name": "ringsj" }, "earring1": { "level": 1, "name": "intearring" }, "earring2": { "name": "intearring", "level": 2 }, "belt": { "name": "santasbelt", "level": 0 }, "mainhand": { "acc": 1, "level": 7, "name": "firestaff" }, "offhand": { "level": 0, "name": "lantern" }, "helmet": { "level": 7, "name": "eears" }, "chest": { "name": "epyjamas", "level": 7 }, "pants": { "acc": 97, "level": 0, "ach": "gooped", "name": "pants1" }, "shoes": { "name": "eslippers", "level": 0 }, "gloves": { "stat_type": "int", "name": "mpgloves", "level": 5 }, "amulet": { "level": 2, "name": "intamulet" }, "orb": { "level": 0, "name": "jacko" }, "elixir": null, "cape": { "level": 7, "name": "ecape" }, "trade1": null, "trade2": null, "trade3": null, "trade4": null }, "ctype": "priest", "owner": "4933241876774912" },
                { "hp": 1869, "max_hp": 1955, "mp": 3308, "max_mp": 3630, "xp": 23076858, "attack": 758, "frequency": 0.9110821960898181, "speed": 55, "range": 200, "armor": 234, "resistance": 494, "level": 64, "party": "Mekhet", "rip": false, "code": true, "afk": "code", "target": "4564933", "focus": null, "s": { "mluck": { "ms": 3430047, "f": "Mekhet", "strong": true }, "monsterhunt": { "sn": "US III", "id": "bbpompom", "c": 214, "ms": 1220483, "dl": true } }, "c": {}, "q": {}, "age": 57, "pdps": 85821.9474270208, "id": "Malkav", "x": 596, "y": 1816, "moving": false, "going_x": 596, "going_y": 1816, "abs": false, "move_num": 24017053, "angle": 93.48412385557867, "cid": 1132, "controller": "Mekhet", "skin": "marmor12d", "cx": { "head": "makeup105" }, "slots": { "ring1": { "level": 3, "name": "ringsj" }, "ring2": { "level": 3, "name": "ringsj" }, "earring1": { "name": "intearring", "level": 2 }, "earring2": { "level": 2, "name": "intearring" }, "belt": { "level": 1, "name": "intbelt" }, "mainhand": { "acc": 1, "name": "oozingterror", "level": 5 }, "offhand": { "name": "lantern", "level": 0 }, "helmet": { "name": "mmhat", "level": 3 }, "chest": { "level": 3, "name": "mmarmor" }, "pants": { "level": 3, "name": "mmpants" }, "shoes": { "name": "mmshoes", "level": 3 }, "gloves": { "name": "mmgloves", "level": 4 }, "amulet": { "name": "intamulet", "level": 2 }, "orb": { "name": "jacko", "level": 0 }, "elixir": null, "cape": { "name": "ecape", "level": 0 } }, "ctype": "mage", "owner": "4933241876774912" }
            ],
            "monsters": [
                { "speed": 10.8, "hp": 3000, "mp": 5, "attack": 60, "xp": 4500, "frequency": 0.54, "armor": 0, "resistance": 0, "max_hp": 3000, "id": "4555879", "x": 743.6407524936433, "y": 1681.6352512095082, "moving": true, "going_x": 807.3759339415834, "going_y": 1878.3355710034211, "abs": false, "move_num": 24045304, "angle": 72.0465480104471, "type": "croc", "cid": 5, "s": {}, "level": 5 },
                { "speed": 10.8, "hp": 3000, "mp": 5, "attack": 60, "xp": 4500, "frequency": 0.54, "armor": 0, "resistance": 0, "max_hp": 3000, "id": "4555881", "x": 742.8938049463022, "y": 1846.356352436311, "moving": true, "going_x": 805.1455931457535, "going_y": 1694.9731415872257, "abs": false, "move_num": 24045753, "angle": -67.64656008461522, "type": "croc", "cid": 5, "s": {}, "level": 5 },
                { "speed": 10.8, "hp": 3000, "mp": 5, "attack": 60, "xp": 4500, "frequency": 0.54, "armor": 0, "resistance": 0, "max_hp": 3000, "id": "4555906", "x": 834.301886378474, "y": 1647.6020343969983, "moving": true, "going_x": 868.1778999543137, "going_y": 1537.1179927031708, "abs": false, "move_num": 24045376, "angle": -72.9536989948719, "type": "croc", "cid": 5, "s": {}, "level": 5 },
                { "speed": 10.8, "hp": 3000, "mp": 5, "attack": 60, "xp": 4500, "frequency": 0.54, "armor": 0, "resistance": 0, "max_hp": 3000, "id": "4555915", "x": 774.5235548397872, "y": 1558.736034825793, "moving": true, "going_x": 773.89396439506, "going_y": 1555.0483637160414, "abs": false, "move_num": 24044378, "angle": -99.68860630362278, "type": "croc", "cid": 5, "s": {}, "level": 5 },
                { "speed": 10.8, "hp": 3000, "mp": 5, "attack": 60, "xp": 4500, "frequency": 0.54, "armor": 0, "resistance": 0, "max_hp": 3000, "id": "4555930", "x": 740.7112356082641, "y": 1680.481182415999, "moving": true, "going_x": 717.9529894816733, "going_y": 1633.7628831688717, "abs": false, "move_num": 24044727, "angle": -115.97246022805558, "type": "croc", "cid": 5, "s": {}, "level": 5 },
                { "speed": 10.8, "hp": 3000, "mp": 5, "attack": 60, "xp": 4500, "frequency": 0.54, "armor": 0, "resistance": 0, "max_hp": 3000, "id": "4555948", "x": 887.1637176576038, "y": 1783.198198645695, "moving": true, "going_x": 858.6525821188382, "going_y": 1687.8197087584563, "abs": false, "move_num": 24045708, "angle": -106.64278664410894, "type": "croc", "cid": 5, "s": {}, "level": 5 },
                { "speed": 12.32, "hp": 450, "mp": 2, "attack": 17, "xp": 800, "frequency": 0.516, "armor": 0, "resistance": 0, "max_hp": 450, "id": "4561098", "x": 174.39794326086533, "y": 1539.1171211254964, "moving": true, "going_x": 111.56605993329794, "going_y": 1517.9397247241222, "abs": false, "move_num": 24045900, "angle": -161.37368455850515, "type": "bee", "cid": 2, "s": {}, "level": 2 },
                { "mp": 4, "armor": 0, "resistance": 0, "id": "4564053", "x": 7.3070347009005046, "y": 1912.3646246434557, "moving": true, "going_x": 53.412225306470305, "going_y": 1891.9466957170782, "abs": false, "move_num": 24045292, "angle": -23.886412590988602, "type": "snake", "cid": 1, "s": {} },
                { "mp": 4, "armor": 0, "resistance": 0, "id": "4564849", "x": 44.36682535180981, "y": 1848.7941743782244, "moving": true, "going_x": 32.77683826496332, "going_y": 1812.9931643415257, "abs": false, "move_num": 24045604, "angle": -107.93850570053901, "type": "snake", "cid": 1, "s": {} },
                { "mp": 5, "armor": 0, "resistance": 0, "id": "4564855", "x": 424.408441025996, "y": 1770.4050740108657, "moving": true, "going_x": 396.42704513565593, "going_y": 1846.6792902987884, "abs": false, "move_num": 24045787, "angle": 110.14569441748515, "type": "armadillo", "cid": 1, "s": {} },
                { "mp": 4, "armor": 0, "resistance": 0, "id": "4564875", "x": -40.72969986636739, "y": 1872.2390901662027, "moving": true, "going_x": -59.612269112986894, "going_y": 1879.66646515929, "abs": false, "move_num": 24045569, "angle": 158.5280244275818, "type": "snake", "cid": 1, "s": {} },
                { "mp": 5, "armor": 0, "resistance": 0, "id": "4564900", "x": 468.5382608748381, "y": 1826.4418013423199, "moving": true, "going_x": 618.1028161901334, "going_y": 1946.1448976456763, "abs": false, "move_num": 24045895, "angle": 38.67182480728007, "type": "armadillo", "cid": 1, "s": {} },
                { "mp": 4, "armor": 0, "resistance": 0, "id": "4564901", "x": -130.09559802484722, "y": 1917.837243066023, "moving": true, "going_x": -219.34426955274813, "going_y": 1846.0469729706108, "abs": false, "move_num": 24045720, "angle": -141.18733155272633, "type": "snake", "cid": 1, "s": {} },
                { "mp": 5, "armor": 0, "resistance": 0, "id": "4564924", "x": 510.1482400885042, "y": 1715.026518592415, "moving": true, "going_x": 394.5234129082693, "going_y": 1735.3569896906479, "abs": false, "move_num": 24045862, "angle": 170.02754280028637, "type": "armadillo", "cid": 1, "s": {} },
                { "speed": 20, "hp": 267, "mp": 4, "armor": 0, "resistance": 0, "id": "4564927", "x": -20.94604806646615, "y": 1833.04576794174, "moving": true, "going_x": -104, "going_y": 1792, "abs": false, "move_num": 24045956, "angle": -153.7011375927786, "type": "snake", "cid": 3, "target": "Whiplash", "s": {} },
                { "mp": 5, "armor": 0, "resistance": 0, "id": "4564929", "x": 445.64959652880367, "y": 1953.9092644218633, "moving": true, "going_x": 443.41738855586266, "going_y": 1898.3405184703406, "abs": false, "move_num": 24045873, "angle": -92.30034648433244, "type": "armadillo", "cid": 1, "s": {} }
            ],
            "type": "all",
            "in": "main",
            "map": "main"
        }
    };
    expect(comm).not.toBe(undefined);
    const comm2 = {
        "name": "main",
        "in": "main",
        "x": 0,
        "y": 0,
        "direction": 0,
        "effect": 0,
        "info": {},
        "m": 0,
        "entities": {
            "players": [
                { "hp": 5000, "max_hp": 5000, "xp": 0, "speed": 40, "armor": 500, "level": 100, "npc": "pvp", "allow": true, "s": {}, "c": {}, "q": {}, "id": "Ace", "x": 325, "y": 499, "moving": false, "going_x": 325, "going_y": 499, "abs": false, "move_num": 677, "angle": 50.042451069170916, "cid": 0, "skin": "thehelmet", "cx": {}, "ctype": "pvp", "owner": "" },
                { "hp": 3200, "max_hp": 3200, "xp": 0, "speed": 30, "armor": 500, "level": 100, "npc": "bean", "s": {}, "c": {}, "q": {}, "id": "Bean", "x": -6.680658567215588, "y": -48.36436470988727, "moving": true, "going_x": 98, "going_y": -50, "abs": false, "move_num": 24096495, "angle": -0.8951737102110744, "cid": 0, "skin": "lionsuit", "cx": {}, "ctype": "bean", "owner": "" },
                { "hp": 9949, "max_hp": 9970, "mp": 3410, "max_mp": 3420, "xp": 137897109, "attack": 874, "frequency": 0.9261619241192411, "speed": 77, "range": 114, "armor": 192, "resistance": 552, "level": 68, "rip": false, "code": true, "afk": true, "s": { "mluck": { "ms": 3565597, "f": "earthMer" } }, "c": {}, "q": { "upgrade": { "ms": 2000, "len": 4000, "num": 8 } }, "age": 476, "pdps": 0, "id": "Cassini", "x": -39.17006453725123, "y": -152.9999999, "cid": 1697, "stand": false, "skin": "mmerchant", "cx": {}, "slots": { "ring1": { "p": "shiny", "name": "ringsj", "level": 4 }, "ring2": { "p": "shiny", "level": 4, "name": "ringsj" }, "earring1": { "name": "vitearring", "l": "l", "level": 3 }, "earring2": { "name": "vitearring", "level": 4 }, "belt": { "name": "hpbelt", "level": 4 }, "mainhand": { "name": "harbringer", "level": 8 }, "offhand": { "name": "lantern", "level": 3 }, "helmet": { "level": 8, "name": "eears" }, "chest": { "level": 8, "name": "epyjamas" }, "pants": { "level": 8, "name": "wbreeches" }, "shoes": { "name": "wingedboots", "level": 8 }, "gloves": { "name": "wgloves", "level": 4 }, "amulet": { "name": "dexamulet", "l": "l", "level": 4 }, "orb": { "level": 1, "name": "orbofvit" }, "elixir": null, "cape": { "level": 8, "stat_type": "int", "name": "ecape" }, "trade1": null, "trade2": null, "trade3": null, "trade4": null }, "ctype": "merchant", "owner": "5794393261342720" },
                { "hp": 1411, "max_hp": 1411, "mp": 1215, "max_mp": 1215, "xp": 7353, "attack": 95, "frequency": 0.49631545199380567, "speed": 10, "range": 70, "armor": 34, "resistance": 81, "level": 38, "rip": 0, "afk": true, "s": { "mluck": { "ms": 3568046, "f": "earthMer" } }, "c": {}, "q": {}, "age": 15, "pdps": 0, "id": "Natasha11x11", "x": 110.56890778463068, "y": 12.09324958756322, "cid": 111, "stand": "stand0", "skin": "marmor12b", "cx": { "hair": "hairdo520", "head": "fmakeup01" }, "slots": { "ring1": null, "ring2": null, "earring1": null, "earring2": null, "belt": { "name": "hpbelt", "level": 0 }, "mainhand": { "name": "staff", "gift": 1, "level": 0 }, "offhand": null, "helmet": { "name": "wcap", "level": 0 }, "chest": null, "pants": null, "shoes": { "stat_type": "int", "name": "wshoes", "level": 4 }, "gloves": null, "amulet": { "name": "hpamulet", "level": 0 }, "orb": null, "elixir": null, "cape": null, "trade1": null, "trade2": null, "trade3": null, "trade4": null, "trade5": null, "trade6": null, "trade7": null, "trade8": null, "trade9": null, "trade10": null, "trade11": null, "trade12": null, "trade13": null, "trade14": { "b": true, "name": "t2intamulet", "level": 0, "price": 96001, "q": 1, "rid": "O4la" }, "trade15": { "b": true, "name": "orbofint", "level": 0, "price": 144001, "q": 1, "rid": "AunL" }, "trade16": null }, "ctype": "merchant", "owner": "6009509611307008" },
                { "hp": 2206, "max_hp": 2206, "mp": 535, "max_mp": 535, "xp": 0, "attack": 7, "frequency": 0.22631581494386374, "speed": 65, "range": 20, "armor": 28, "resistance": 42, "level": 1, "rip": 0, "code": true, "afk": "code", "s": { "mluck": { "ms": 3569346, "f": "earthMer" } }, "c": {}, "q": {}, "age": 1, "pdps": 0, "id": "Winger", "x": 168, "y": -134, "cid": 101, "controller": "Finger", "skin": "marmor12a", "cx": { "hair": "hairdo521", "head": "makeup105", "hat": "hat404" }, "slots": { "ring1": { "name": "vitring", "level": 3 }, "ring2": { "level": 3, "name": "vitring" }, "earring1": { "level": 1, "name": "vitearring" }, "earring2": { "level": 1, "name": "vitearring" }, "belt": { "name": "hpbelt", "level": 0 }, "mainhand": null, "offhand": null, "helmet": null, "chest": null, "pants": null, "shoes": { "stat_type": "int", "name": "shoes", "level": 7 }, "gloves": null, "amulet": { "level": 2, "name": "hpamulet" }, "orb": null, "elixir": null, "cape": null }, "ctype": "merchant", "owner": "6283357430743040" },
                { "hp": 8093, "max_hp": 8093, "mp": 3478, "max_mp": 3710, "xp": 806486574, "attack": 365, "frequency": 0.9177255129694154, "speed": 10, "range": 76, "armor": 91, "resistance": 231, "level": 80, "rip": false, "code": true, "afk": true, "s": { "mluck": { "ms": 3570766, "f": "earthMer" }, "massproduction": { "ms": 1739 }, "massproductionpp": { "ms": 1973 } }, "c": {}, "q": {}, "age": 338, "pdps": 0, "id": "MoneyS", "x": -132, "y": -50, "moving": false, "going_x": -132, "going_y": -50, "abs": false, "move_num": 23921421, "angle": -179.971929569203, "cid": 18550, "stand": "cstand", "skin": "sarmor1g", "cx": { "hair": "hairdo118", "head": "makeup117", "hat": "hat202" }, "slots": { "ring1": { "name": "vitring", "level": 2 }, "ring2": { "level": 0, "name": "ringofluck" }, "earring1": { "name": "vitearring", "level": 3 }, "earring2": { "name": "vitearring", "level": 3 }, "belt": { "level": 4, "name": "hpbelt" }, "mainhand": { "level": 2, "name": "staff" }, "offhand": null, "helmet": { "level": 0, "name": "partyhat" }, "chest": { "name": "tshirt4", "level": 7 }, "pants": null, "shoes": { "name": "eslippers", "level": 8 }, "gloves": null, "amulet": { "level": 0, "name": "intamulet" }, "orb": { "name": "test_orb", "level": 0 }, "elixir": null, "cape": { "level": 6, "name": "angelwings" }, "trade1": null, "trade2": null, "trade3": null, "trade4": null, "trade5": { "b": true, "name": "wgloves", "level": 9, "price": 67000000, "q": 10, "rid": "PX2g" }, "trade6": { "b": true, "name": "wcap", "level": 9, "price": 67000000, "q": 16, "rid": "To6C" }, "trade7": { "q": 1, "price": 2000000000, "b": true, "rid": "JtPO", "name": "ukey" }, "trade8": null, "trade9": null, "trade10": null, "trade11": null, "trade12": null, "trade13": { "q": 1, "price": 2000000000, "b": true, "rid": "HJyq", "name": "bkey" }, "trade14": null, "trade15": null, "trade16": { "q": 9976, "price": 50000, "name": "electronics", "rid": "zy9Q" }, "trade17": { "q": 9930, "price": 50000, "name": "electronics", "rid": "spAB" }, "trade18": null, "trade19": { "price": 2000000000, "level": 3, "name": "lantern", "rid": "lDJM" }, "trade20": null, "trade21": null, "trade22": { "q": 9581, "price": 50000, "name": "electronics", "rid": "MKp2" }, "trade23": { "q": 91, "price": 35000000, "name": "networkcard", "rid": "BIXq" }, "trade24": null, "trade25": { "q": 999, "price": 3500000, "name": "offeringp", "rid": "GgMg" }, "trade26": null, "trade27": null, "trade28": null, "trade29": null, "trade30": null }, "ctype": "merchant", "owner": "5553608930623488" },
                { "hp": 2443, "max_hp": 2525, "mp": 910, "max_mp": 1170, "xp": 44959.8, "attack": 91, "frequency": 0.5069106900890438, "speed": 10, "range": 70, "armor": 132, "resistance": 157, "level": 38, "party": "BadgerMerch", "rip": false, "code": true, "afk": true, "s": { "mluck": { "ms": 3568901, "f": "earthMer" } }, "c": {}, "q": {}, "age": 23, "pdps": 0.3208814734926284, "id": "BadgerMerch", "x": -66, "y": -69, "moving": false, "going_x": -66, "going_y": -69, "abs": false, "move_num": 24078297, "angle": 149.6767069404636, "cid": 973, "stand": "stand0", "skin": "marmor12b", "cx": { "hair": "hairdo521", "upper": "marmor12a", "hat": "hat404" }, "slots": { "ring1": { "name": "ringsj", "level": 0 }, "ring2": { "name": "ringsj", "level": 0 }, "earring1": { "level": 0, "name": "dexearring" }, "earring2": { "name": "dexearring", "level": 0 }, "belt": { "name": "hpbelt", "level": 2 }, "mainhand": { "name": "staff", "gift": 1, "level": 0 }, "offhand": null, "helmet": { "name": "mchat", "level": 0 }, "chest": { "name": "mcarmor", "level": 0 }, "pants": { "name": "mcpants", "level": 0 }, "shoes": { "level": 0, "name": "mcboots" }, "gloves": null, "amulet": { "name": "hpamulet", "level": 0 }, "orb": { "name": "jacko", "level": 0 }, "elixir": null, "cape": { "name": "ecape", "level": 0 }, "trade1": { "b": true, "name": "jacko", "level": 0, "price": 58000, "q": 3, "rid": "rQXn" }, "trade2": null, "trade3": null, "trade4": null, "trade5": null, "trade6": null, "trade7": null, "trade8": null, "trade9": null, "trade10": null, "trade11": null, "trade12": null, "trade13": null, "trade14": null, "trade15": null, "trade16": null }, "ctype": "merchant", "owner": "6668530097848320" },
                { "hp": 109, "max_hp": 109, "mp": 400, "max_mp": 400, "xp": 0, "attack": 67, "frequency": 0.22060152922957801, "speed": 56, "range": 79, "armor": 29, "resistance": 39, "level": 1, "rip": 0, "code": false, "afk": true, "target": null, "focus": null, "s": { "mluck": { "ms": 3523269, "f": "earthMer" } }, "c": {}, "q": {}, "age": 5, "pdps": 0, "id": "DwalinOak", "x": 68.92091193824554, "y": -76.43778219823282, "moving": false, "going_x": 68.92091193824554, "going_y": -76.43778219823282, "abs": false, "move_num": 24091838, "angle": 51.099435972164216, "cid": 11, "skin": "marmor12a", "cx": { "hair": "hairdo521", "head": "makeup117", "hat": "hat404" }, "slots": { "ring1": null, "ring2": null, "earring1": null, "earring2": null, "belt": null, "mainhand": { "name": "staff", "gift": 1, "level": 3 }, "offhand": null, "helmet": { "name": "helmet", "gift": 1, "level": 0 }, "chest": null, "pants": null, "shoes": { "name": "shoes", "gift": 1, "level": 0 }, "gloves": null, "amulet": null, "orb": null, "elixir": null, "cape": null }, "ctype": "merchant", "owner": "6398697301082112" },
                { "hp": 109, "max_hp": 109, "mp": 400, "max_mp": 400, "xp": 0, "attack": 42, "frequency": 0.22060152922957801, "speed": 56, "range": 70, "armor": 29, "resistance": 39, "level": 1, "party": "orlyowl", "rip": 0, "afk": "code", "s": { "mluck": { "ms": 3571494, "f": "earthMer" } }, "c": {}, "q": {}, "age": 1, "pdps": 1.809251394333074e-7, "id": "orlyowl", "x": 0, "y": 0, "moving": false, "going_x": 0, "going_y": 0, "abs": false, "move_num": 24092667, "angle": 141.42347043655656, "cid": 350, "controller": "", "skin": "marmor12b", "cx": { "hair": "hairdo520", "head": "fmakeup03" }, "slots": { "ring1": null, "ring2": null, "earring1": null, "earring2": null, "belt": null, "mainhand": { "name": "staff", "gift": 1, "level": 0 }, "offhand": null, "helmet": { "name": "helmet", "gift": 1, "level": 0 }, "chest": null, "pants": null, "shoes": { "name": "shoes", "gift": 1, "level": 0 }, "gloves": null, "amulet": null, "orb": null, "elixir": null, "cape": null }, "ctype": "merchant", "owner": "4568340897464320" },
                { "hp": 7160, "max_hp": 7160, "mp": 5345, "max_mp": 5345, "xp": 337576640.20000017, "attack": 155, "frequency": 1.0812914367982966, "speed": 10, "range": 20, "armor": 305, "resistance": 500, "level": 74, "party": "earthMer", "rip": false, "afk": "code", "s": { "mlifesteal": { "ms": 2382577 }, "mluck": { "ms": 1880053, "f": "earthMer", "strong": true } }, "c": {}, "q": {}, "age": 586, "pdps": 4.456448028457067, "id": "earthMer", "x": 0, "y": 0, "moving": false, "going_x": 0, "going_y": 0, "abs": false, "move_num": 24094765, "angle": -168.23706893452515, "cid": 18390, "stand": "cstand", "controller": "", "skin": "marmor12a", "cx": { "hair": "hairdo520", "head": "fmakeup01" }, "slots": { "ring1": { "name": "intring", "level": 5 }, "ring2": { "level": 4, "name": "intring" }, "earring1": { "name": "intearring", "level": 4 }, "earring2": { "level": 4, "name": "dexearring" }, "belt": { "level": 3, "name": "santasbelt" }, "mainhand": null, "offhand": null, "helmet": { "acc": 1, "stat_type": "int", "name": "xmashat", "level": 9 }, "chest": { "level": 9, "stat_type": "int", "name": "xmassweater" }, "pants": { "acc": 425, "name": "frankypants", "level": 8, "ach": "gooped", "stat_type": "int" }, "shoes": { "stat_type": "int", "name": "wingedboots", "level": 9 }, "gloves": { "level": 9, "stat_type": "int", "name": "mittens" }, "amulet": { "level": 9, "name": "warmscarf" }, "orb": { "level": 4, "name": "jacko" }, "elixir": null, "cape": { "stat_type": "int", "name": "angelwings", "level": 5 }, "trade1": { "name": "monstertoken", "q": 730, "price": 250000, "rid": "XWZN" }, "trade2": { "q": 22, "price": 500000000, "name": "greenbomb", "rid": "zkLq" }, "trade3": { "q": 9999, "price": 2500, "name": "essenceoflife", "rid": "rX7D" }, "trade4": { "q": 9684, "price": 2500, "name": "essenceoflife", "rid": "i2wU" }, "trade5": null, "trade6": null, "trade7": null, "trade8": null, "trade9": null, "trade10": null, "trade11": null, "trade12": null, "trade13": null, "trade14": null, "trade15": null, "trade16": null, "trade17": null, "trade18": null, "trade19": null, "trade20": null, "trade21": null, "trade22": null, "trade23": null, "trade24": null }, "ctype": "merchant", "owner": "5622711463182336" }
            ],
            "monsters": [
                { "hp": 49875, "mp": 250, "resistance": 0, "id": "31", "x": -290, "y": 280, "moving": false, "going_x": -290, "going_y": 280, "abs": false, "move_num": 14400051, "angle": -2.7591076586202736, "type": "target_a500", "cid": 4, "target": null, "s": {} },
                { "mp": 250, "resistance": 0, "id": "32", "x": -270, "y": 280, "going_x": -270, "going_y": 280, "type": "target_a750", "cid": 1, "s": {} },
                { "mp": 250, "armor": 0, "id": "33", "x": -250, "y": 280, "going_x": -250, "going_y": 280, "type": "target_r500", "cid": 1, "s": {} },
                { "mp": 2500, "id": "36", "x": -150, "y": 400, "moving": false, "going_x": -150, "going_y": 400, "abs": false, "move_num": 19570200, "angle": -92.68377515946901, "type": "target_ar500red", "cid": 17950, "target": null, "s": { "self_healing": { "ms": 6420, "ability": true } } },
                { "hp": 49702, "mp": 250, "armor": 0, "resistance": 0, "id": "932007", "x": -571, "y": 323, "moving": false, "going_x": -571, "going_y": 323, "abs": false, "move_num": 15418328, "angle": 158.1063268582716, "type": "target", "cid": 6, "target": null, "s": {} },
                { "mp": 250, "armor": 0, "id": "1376126", "x": -230, "y": 280, "going_x": -230, "going_y": 280, "type": "target_r750", "cid": 1, "s": {} },
                { "mp": 250, "id": "2744508", "x": -210, "y": 280, "going_x": -210, "going_y": 280, "type": "target_ar900", "cid": 1, "s": {} }
            ],
            "type": "all",
            "in": "main",
            "map": "main"
        }
    };
    expect(comm2).not.toBe(undefined);
});
//# sourceMappingURL=adventureland-server-newMapData.test.js.map